> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cycle Deductions

This endpoint returns a list of all members who have withdrawn during this pay cycle. Members who have not withdrawn will not be included in the response.

For each member we provide a total of the deductions made during this pay cycle.

For example:

* Bob makes 2 £100 withdrawals during the pay cycle.
* Jane made no withdrawals during the pay cycle.

```json theme={null}
{
  "deductions": [
    {
      "memberId": "mem_bob",
      "total": {
        "amount": 20000,
        "currency": "GBP"
      }
    }
  ]
}
// members with no withdrawals will not be included in the response
```

We have written a guide for [end of cycle processing](/docs/pay/end-of-cycle) for your pay cycle, which will walk through the recommended sequencing of calls to this endpoint.

<Info>
  Ensure that you have checked the pay cycle is `Closed` before processing any payroll deductions using this endpoint -
  Otherwise withdrawals may still be made.
</Info>


## OpenAPI

````yaml GET /v1/pay/cycles/{id}/deductions
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/pay/cycles/{id}/deductions:
    get:
      tags:
        - pay
      summary: Show pay cycle summary
      operationId: getPayCycleDeductions
      parameters:
        - name: id
          in: path
          description: The unique identifier for a PayCycle, prefixed with pc_
          required: true
          schema:
            example: pc_<id>
            type: string
        - name: skip
          in: query
          required: true
          schema:
            default: 0
            type: number
        - name: take
          in: query
          required: true
          schema:
            default: 50
            type: number
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  deductions:
                    type: array
                    items:
                      type: object
                      properties:
                        memberId:
                          example: mem_<id>
                          description: >-
                            The unique identifier for a Member, prefixed with
                            mem_
                          type: string
                        total:
                          $ref: '#/components/schemas/Total'
                      required:
                        - memberId
                        - total
                      additionalProperties: false
                  total:
                    example: 1
                    type: number
                  skip:
                    example: 0
                    type: number
                  take:
                    example: 50
                    type: number
                required:
                  - deductions
                  - total
                  - skip
                  - take
                additionalProperties: false
components:
  schemas:
    Total:
      title: Total
      description: The amount deducted for the member, inclusive of fees
      example:
        currency: GBP
        amount: 1000
      type: object
      properties:
        amount:
          example: 1050
          description: Price in lowest denomination of currency (e.g. cents)
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        currency:
          example: GBP
          description: ISO 4217 currency code
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWL
      required:
        - amount
        - currency
      additionalProperties: false
      x-instanceOf: Money
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````